- contact_signon:
    description: 'Contact Signs On'
    header: ${buddy.alias} signed on
    minor: ${buddy.stripped_msg}

- contact_signoff:
    description: 'Contact Signs Off'
    header: ${buddy.alias} signed off

- contact_available:
    description: 'Contact Becomes Available'
    header: ${buddy.alias} is available
    minor: ${buddy.stripped_msg}

- contact_away:
    description: 'Contact Goes Away'
    header: ${buddy.alias} is away
    minor: ${buddy.stripped_msg}

- contact_statusmessage:
    description: 'Contact Changes Status Message'
    header: ${buddy.alias} is ${buddy.status}
    minor: ${buddy.stripped_msg}

- contact_returnsfromidle:
    description: 'Contact Returns From Idle'
    header: ${buddy.alias} is no longer idle

- contact_idle:
    description: 'Contact Becomes Idle'
    header: ${buddy.alias} is idle

- message_received:
    description: 'IM Received'
    header: '${buddy.alias}'
    minor: '${msg}'
    max_lines: 5

- message_received_background:
    description: 'IM Received (background)'
    header: '${buddy.alias}'
    minor: '${msg}'
    max_lines: 5

- message_received_initial:
    description: 'IM Received (initial)'
    header: '${buddy.alias}'
    minor: '${msg}'
    max_lines: 5

- message_sent:
    description: 'IM Sent'
    header: '${buddy.alias}'
    minor: '${msg}'

- filetransfer_request:
    description: 'File Transfer Request'
    header: 'File Transfer Request'
    minor: '${buddy.alias} wants to send you ${target.type} ${target.name}'
    icon: 'skin:appdefaults.notificationicons.filetransfer'
    sticky: yes
    buttons:
      - [save, Save]
      - [saveas, Save As]
      - [decline, Reject]

- filetransfer_ends:
    description: 'File Transfer Complete'
    header: 'File Transfer Complete'
    minor: '${target.name} ${"sent to" if target.direction == "outgoing" else "received from"} ${buddy.alias}'
    icon: 'skin:appdefaults.notificationicons.filetransfer'

- filetransfer_error:
    description: 'File Transfer Error'
    header: 'File Transfer Error'
    minor: 'Failed to ${sendrcv} ${filename} ${tofrom} ${bname}'
    icon: 'skin:appdefaults.notificationicons.error'

- email_new:
    description: 'New Email Arrives'
    header: '${email.fromname or email.fromemail}'
    major: ${email.subject or "(no subject)"}
    minor: ${(email.content or "(no preview)") if email.content is not None else ''}
    pages: 'emails'
    icon: 'skin:serviceicons.gmail'

- facebook_alert:
    description: 'Facebook Alert'
    header: "${title}"
    minor: '${msg}'
    icon: 'skin:serviceicons.facebook'
    max_lines: 6

- facebook_newsfeed:
    description: 'Facebook Newsfeed'
    header: "${title}"
    minor: '${unicode(item).decode("xml")}'
    icon: 'skin:serviceicons.facebook'
    pages: 'items'
    max_lines: 5
    update: paged

- twitter_newtweet:
    description: 'Twitter Update'
    header: "Twitter Update"
    minor: '${tweet.user.screen_name + ": " + tweet.text.decode("xml")}'
    icon: 'skin:serviceicons.twitter'
    pages: 'tweets'
    update: paged

- twitter_newdirect:
    description: 'Twitter Direct Message'
    header: "Twitter Direct Message"
    minor: '${tweet.sender.screen_name + ": " + tweet.text.decode("xml")}'
    icon: 'skin:serviceicons.twitter'
    pages: 'tweets'
    update: paged

- myspace_alert:
    description: 'MySpace Alert'
    header: '${title}'
    minor: '${msg}'
    icon: 'skin:serviceicons.myspace'

- error:
    description: 'Error Occurs'
    header: '${title}'
    major: '${msg}'
    minor: '${details}'
    icon: 'skin:appdefaults.notificationicons.error'

- dictionary_install:
    description: 'Downloading dictionary'
    header: '${title}'
    major: '${msg}'
    icon: 'skin:appdefaults.notificationicons.dict'
    update: 'replace'
    gui: no
    always_show: Popup
